Loading...
Searching...
No Matches
DataNoroCacheNode< number_type > Class Template Reference

`#include <tgb_internal.h>`

## Public Member Functions

| DataNoroCacheNode (poly p, int len)
| DataNoroCacheNode (SparseRow< number_type > *row)
| ~DataNoroCacheNode ()
Public Member Functions inherited from NoroCacheNode
| NoroCacheNode ()
NoroCacheNode * | setNode (int branch, NoroCacheNode *node)
NoroCacheNode * | getBranch (int branch)
virtual | ~NoroCacheNode ()
NoroCacheNode * | getOrInsertBranch (int branch)

## Data Fields

int | value_len
poly | value_poly
SparseRow< number_type > * | row
int | term_index
Data Fields inherited from NoroCacheNode
NoroCacheNode ** | branches
int | branches_len

## Detailed Description

template<class number_type>
class DataNoroCacheNode< number_type >

Definition at line 528 of file tgb_internal.h.

## Constructor & Destructor Documentation

## DataNoroCacheNode() [1/2]

template<class number_type>

DataNoroCacheNode< number_type >::DataNoroCacheNode | ( | poly | p,
|  | int | len )

inline

Definition at line 540 of file tgb_internal.h.

{
value_len=len;
value_poly=p;
row=NULL;
term_index=-1;
}
DataNoroCacheNode
Definition tgb_internal.h:529
DataNoroCacheNode::value_poly
poly value_poly
Definition tgb_internal.h:533
DataNoroCacheNode::term_index
int term_index
Definition tgb_internal.h:539
DataNoroCacheNode::row
SparseRow< number_type > * row
Definition tgb_internal.h:535
DataNoroCacheNode::value_len
int value_len
Definition tgb_internal.h:532

## DataNoroCacheNode() [2/2]

template<class number_type>

DataNoroCacheNode< number_type >::DataNoroCacheNode | ( | SparseRow< number_type > * | row | ) |

inline

Definition at line 548 of file tgb_internal.h.

{
if (row!=NULL)
value_len=row->len;
else
value_len=0;
value_poly=NULL;
this->row=row;
term_index=-1;
}

## ~DataNoroCacheNode()

template<class number_type>

DataNoroCacheNode< number_type >::~DataNoroCacheNode | ( |  | ) |

inline

Definition at line 559 of file tgb_internal.h.

{
//p_Delete(&value_poly,currRing);
if (row) delete row;
}

## Field Documentation

## row

template<class number_type>

SparseRow<number_type>* DataNoroCacheNode< number_type >::row

Definition at line 535 of file tgb_internal.h.

## term_index

template<class number_type>

int DataNoroCacheNode< number_type >::term_index

Definition at line 539 of file tgb_internal.h.

## value_len

template<class number_type>

int DataNoroCacheNode< number_type >::value_len

Definition at line 532 of file tgb_internal.h.

## value_poly

template<class number_type>

poly DataNoroCacheNode< number_type >::value_poly

Definition at line 533 of file tgb_internal.h.

The documentation for this class was generated from the following file:

- kernel/GBEngine/tgb_internal.h